---
layout: home
title: Social Sign PHP Library
sidebar_label: Home
nav_order: 1
---

# SocialConnect/Auth
{: .fs-9 }

SocialConnect/Auth is modern open-source social sign library for PHP.
{: .fs-6 .fw-300 }

[Get started now](/installation.html){: .btn .btn-primary .fs-5 .mb-4 .mb-md-0 .mr-2 } [Demo](https://sc.lowl.io/){: .btn .fs-5 .mb-4 .mb-md-0 } 
<iframe src="https://ghbtns.com/github-btn.html?user=socialconnect&repo=auth&type=star&count=true&size=large" frameborder="0" scrolling="0" width="160px" height="30px"></iframe>

# Features

* <b>Functional</b>: support [30+ providers](/providers.html) such as Facebook, Google, Twitter, GitHub, Vk and another.
* <b>Completely</b>: We supports all social sign standarts: OAuth1/OAuth2/OpenID/OpenIDConnect.
* <b>Follow standards</b>: We follow PSR-7/PSR-17/PSR-18 standards.
* <b>Modular</b>: Use only what, that you need, see [architecture overview](/architecture.html).
* <b>Quality</b>: CodeCoverage with 80%+ and We are using static analyzers.

## System requirements

Before We start, you should known related requirements for your environment:

- PHP 7.1 or above.
- PHP Sessions (or use stateless mode for OAuth2 and OpenID Connect)
- Curl extension (or you can use stream adapter)
- JSON extension
